﻿using Luticate2.Utils.Controllers;
using Luticate2.Utils.Dbo.Basic;
using Microsoft.Extensions.Options;
using WebApiUtils.Business;
using WebApiUtils.Dbo;

namespace WebApiUtils.Controllers
{
    public class UploadController : LuFsFilesCrudController<UploadBusiness>
    {
        private readonly AppConfigDbo _options;

        public UploadController(IOptions<LuUtilsOptionsDbo> luUtilsOptionsDbo, IOptions<AppConfigDbo> options,
            UploadBusiness business) : base(luUtilsOptionsDbo, business)
        {
            _options = options.Value;
        }

        protected override string GetBasePath()
        {
            return _options.UploadDir;
        }
    }
}