﻿using Luticate2.Utils.DataAccess;
using Microsoft.Extensions.Options;
using WebApiUtils.Dbo;

namespace WebApiUtils.DataAccess
{
    public class UploadDataAccess : LuFsFilesCrudDataAccess
    {
        private readonly AppConfigDbo _options;

        public UploadDataAccess(IOptions<AppConfigDbo> options)
        {
            _options = options.Value;
        }

        public override string GetBasePath()
        {
            return _options.UploadDir;
        }
    }
}